Subject: Re: [PATCH 1/2] t8005: avoid grep on non-ASCII data

From: Junio C Hamano <[email-masked]>
Date: Sun, 21 Feb 2016 15:31:47 -0800

Eric Sunshine <[email-masked]> writes:

> These tests all crash and burn with BSD sed (including Mac OS X) since
> you're not restricting yourself to BRE (basic regular expressions).
> You _could_ request extended regular expressions, which do work on
> those platforms, as well as with GNU sed:
>
>     sed -nEe "/^(author|summary) /p" ...

An obvious way to avoid any RE is to write it as two separate
statements.  As there are repeated invocations of this filtering
in this script, perhaps a helper function can hide this ugliness?